Subject: Re: bug#16510: Assertion failure during GC while displaying etc/HELLO

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Jan 2014 18:15:14 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Tue, 21 Jan 2014 04:37:02 +0100
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Anyway, the bug is a bit of a heisenbug (not uncommon for GC bugs).
> Now, after updating trunk and rebuilding, I cannot trigger the
> assertion failure with Droid Sans Mono or Linux Libertine Mono, but I
> still can do it with Courier Prime, Source Code Pro, Inconsolata, Dark
> Courier...

With today's trunk, I cannot get a crash with Dark Courier and Courier
Prime.

> If there's anything you want me to try, just say so.

Look at what valid_font_driver does, and see what kind of driver do
fails that test, and why.